#!/bin/bash

if [ $SUDO_USER ];
	then USER=$SUDO_USER;
	else USER=`/usr/bin/whoami`;
fi

appDirectory=/home/$USER/.config/Solar\ dVPN/;
if [ -d "$appDirectory" ]; then
    /usr/bin/echo 'Removing the configs'
    /usr/bin/rm -rf "$appDirectory";
fi

solardvpncliDirectory=/home/$USER/.solardvpn-cli/;
if [ -d "$solardvpncliDirectory" ]; then
    /usr/bin/echo 'Removing the solardvpncli configs'
    /usr/bin/rm -rf "$solardvpncliDirectory";
fi

dvpnDaemonFile=/etc/systemd/system/solardvpn-cli.service
if [ -f "$dvpnDaemonFile" ]; then
  /usr/bin/echo 'Removing the solardvpncli daemon'
  /usr/bin/systemctl stop solardvpn-cli.service
  /usr/bin/systemctl disable solardvpn-cli.service
  /usr/bin/rm "$dvpnDaemonFile"
  # /usr/bin/rm /etc/systemd/system/multi-user.target.wants/solardvpn-cli.service
  /usr/bin/systemctl daemon-reload
  /usr/bin/systemctl reset-failed
fi

solarStealthDaemonFile=/etc/systemd/system/solarstealth-proxy-controller.service
if [ -f "$solarStealthDaemonFile" ]; then
  /usr/bin/echo 'Removing the solarstealth-proxy-controller daemon'
  /usr/bin/systemctl stop solarstealth-proxy-controller.service
  /usr/bin/systemctl disable solarstealth-proxy-controller.service
  /usr/bin/rm "$solarStealthDaemonFile"
  # /usr/bin/rm /etc/systemd/system/multi-user.target.wants/solarstealth-proxy-controller.service
  /usr/bin/systemctl daemon-reload
  /usr/bin/systemctl reset-failed
fi

keyringPid=$(/usr/bin/pgrep -f "solardvpn-cli.+\--with-keyring") || keyringPid=0
if [ $keyringPid -gt 0 ]; then
  /usr/bin/echo 'Killing a solardvpncli keyring process'
  /usr/bin/kill $keyringPid
fi

solarCliFile=/usr/local/bin/solardvpn-cli
if [ -f "$solarCliFile" ]; then
  /usr/bin/echo 'Removing solardvpncli'
  /usr/bin/rm "$solarCliFile"
fi

solarStealthProxyControllerFile=/usr/local/sbin/SolarStealthProxyController
if [ -f "$solarStealthProxyControllerFile" ]; then
  /usr/bin/echo 'Removing SolarStealthProxyController'
  /usr/bin/rm "$solarStealthProxyControllerFile"
fi

tun2socksPid=$(/usr/bin/pgrep -f "solarstealth-tun2socks") || tun2socksPid=0
if [ $tun2socksPid -gt 0 ]; then
  /usr/bin/echo 'Killing a tun2socks process'
  /usr/bin/kill $tun2socksPid
fi

tun2socksFile=/usr/local/bin/solarstealth-tun2socks
if [ -f "$tun2socksFile" ]; then
  /usr/bin/echo 'Removing tun2socks'
  /usr/bin/rm "$tun2socksFile"
fi

/usr/bin/echo 'Removing stealthvpn group'
/usr/sbin/groupdel "stealthvpn"
