#!/bin/bash

set -eux

DIRECTORY=`/usr/bin/dirname $0`

if [ $SUDO_USER ];
	then USER=$SUDO_USER;
	else USER=`/usr/bin/whoami`;
fi

/usr/bin/echo 'Installing wireguard-tools'
/usr/bin/apt-get update && /usr/bin/apt-get install openresolv wireguard-tools

/usr/bin/echo 'Copying solardvpncli'
/usr/bin/cp $DIRECTORY/../bin/solardvpn-cli /usr/local/bin/solardvpn-cli

/usr/bin/echo 'Copying SolarStealthProxyController'
/usr/bin/cp $DIRECTORY/../bin/SolarStealthProxyController /usr/local/sbin/SolarStealthProxyController

/usr/bin/echo 'Copying solarstealth-tun2socks'
/usr/bin/cp $DIRECTORY/../bin/solarstealth-tun2socks /usr/local/bin/solarstealth-tun2socks

/usr/bin/echo 'Create stealthvpn group'
/usr/sbin/groupadd -f "stealthvpn"
if /usr/bin/id "${USER}" &>/dev/null; then
  /usr/sbin/usermod -aG "stealthvpn" "${USER}"
  /usr/bin/echo "user ${USER} has been added to stealthvpn group"
else
  /usr/bin/echo "warn: no user will be added to stealthvpn group" >&2
fi

/usr/bin/echo 'Copying the daemons'
/usr/bin/cp $DIRECTORY/../services/solardvpn-cli.service /etc/systemd/system
/usr/bin/cp $DIRECTORY/../services/solarstealth-proxy-controller.service /etc/systemd/system

if /usr/bin/id "${USER}" &>/dev/null; then
  owneruid="$(/usr/bin/id -u "${USER}")"
  /usr/bin/sed -i "s/--owning-user-id=-1/--owning-user-id=${owneruid}/g" "/etc/systemd/system/solarstealth-proxy-controller.service"
fi

/usr/bin/echo 'Start the daemons'
/usr/bin/systemctl daemon-reload
/usr/bin/systemctl enable solardvpn-cli.service
/usr/bin/systemctl start solardvpn-cli.service
/usr/bin/systemctl enable solarstealth-proxy-controller.service
/usr/bin/systemctl start solarstealth-proxy-controller.service

/usr/bin/sleep 2
